﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication239.ViewModel
{
   public   class VM:INotifyPropertyChanged
    {

       BindingList<Person> people = new BindingList<Person>();
       public BindingList<Person> People
       {
          get {return people;}
          set { people = value;
          NotifyPropertyChanged("People");
          }
                  
       }

       public VM()
      {
          for (int i = 0; i < 10; i++)
          {
              Person p = new Person()
              {
                  Name = "Name " + i.ToString(),
                  Age =  35 + i + "",
                  Salary = 35000.00m + (i * 1000)
              };
              people.Add(p);
          }
      }


       public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }


    }
}
