﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication239.ViewModel
{
   public  class Person:INotifyPropertyChanged
    {
       string name = string.Empty;
       public string Name
       {
           get { return name; }
           set { name = value;
           NotifyPropertyChanged("Name");
           }
       }

       string age = "";

       public string Age
       {
           get { return age; }
           set { age = value;
           NotifyPropertyChanged("Age");
           }
       }

        decimal salary = 0.00m;
        public decimal Salary
        {
            get { return salary; }
            set { salary = value; }
        }

       private void NotifyPropertyChanged(String info)
       {
           if (PropertyChanged != null)
           {
               PropertyChanged(this, new PropertyChangedEventArgs(info));
           }
       }
       public event PropertyChangedEventHandler PropertyChanged;
    }
}
